# This is an example PKGBUILD file. Use this as a start to creating your own,
# and remove these comments. For more information, see 'man PKGBUILD'.
# NOTE: Please fill out the license field for your package! If it is unknown,
# then please put 'unknown'.

# Maintainer: Future Linux Team <future_linux@163.com>
pkgname=xz
pkgver=5.6.2
pkgrel=1
pkgdesc="Library and command line tools for XZ and LZMA compressed files"
arch=('x86_64')
url="https://xz.tukaani.org/xz-utils"
license=('GPL' 'LGPL' 'custom')
groups=('base')
depends=('bash')
makedepends=('po4a' 'doxygen')
source=(https://github.com/tukaani-project/xz/archive/v${pkgver}/${pkgname}-${pkgver}.tar.gz)
sha256sums=(92a439948bba24c2bc25bb67a087a19194905209c56b5e600bc94fd2a472e687)

prepare() {
	cd ${pkgname}-${pkgver}

	autoreconf -vfi
}

build() {
	cd ${pkgname}-${pkgver}

	${CONFIGURE}         \
	    --disable-rpath  \
	    --enable-doxygen \
	    --enable-werror  \
	    --docdir=/usr/share/doc/${pkgname}-${pkgver}


	make
}

package() {
	cd ${pkgname}-${pkgver}

	make DESTDIR=${pkgdir} install
}
